{-# LANGUAGE OverloadedStrings #-}

import Data.GI.CodeGen.CabalHooks (setupBinding, TaggedOverride(..))

import qualified GI.GObject.Config as GObject
import qualified GI.Gdk.Config as Gdk
import qualified GI.Gio.Config as Gio
import qualified GI.Gtk.Config as Gtk
import qualified GI.JavaScriptCore.Config as JavaScriptCore
import qualified GI.Soup.Config as Soup


main :: IO ()
main = setupBinding name version pkgName pkgVersion verbose overridesFile inheritedOverrides outputDir
  where name = "WebKit2WebExtension"
        version = "4.0"
        pkgName = "gi-webkit2webextension"
        pkgVersion = "4.0.30"
        overridesFile = Just "WebKit2WebExtension.overrides"
        verbose = False
        outputDir = Nothing
        inheritedOverrides = [TaggedOverride "inherited:GObject" GObject.overrides, TaggedOverride "inherited:Gdk" Gdk.overrides, TaggedOverride "inherited:Gio" Gio.overrides, TaggedOverride "inherited:Gtk" Gtk.overrides, TaggedOverride "inherited:JavaScriptCore" JavaScriptCore.overrides, TaggedOverride "inherited:Soup" Soup.overrides]
